%global debug_package %{nil}

Name:           guile-irregex
Version:        0.9.8
Release:        1%{?dist}
Summary:        Scheme regular expressions library

License:        BSD
URL:            https://synthcode.com/scheme/irregex
Source0:        https://synthcode.com/scheme/irregex/irregex-0.9.8.tar.gz

BuildRequires:  guile22-devel
Requires:       guile22

%description
A fully portable and efficient R[4567]RS implementation of regular
expressions, supporting both POSIX syntax with various (irregular)
PCRE extensions, as well as SCSH's SRE syntax, with various aliases
for commonly used patterns.


%prep
%autosetup -n irregex-%{version}


%build
guild2.2 compile -o irregex-guile.go irregex-guile.scm
guild2.2 compile -o irregex.go irregex.scm
guild2.2 compile -o irregex-utils.go irregex-utils.scm


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/guile/2.2/site-ccache/rx
install -p -m 644 irregex-guile.go $RPM_BUILD_ROOT%{_libdir}/guile/2.2/site-ccache/rx/irregex.go
install -p -m 644 irregex-utils.go $RPM_BUILD_ROOT%{_libdir}/guile/2.2/site-ccache/rx
mkdir -p $RPM_BUILD_ROOT%{_libdir}/guile/2.2/site-ccache/rx/source
install -p -m 644 irregex.go $RPM_BUILD_ROOT%{_libdir}/guile/2.2/site-ccache/rx/source

mkdir -p $RPM_BUILD_ROOT%{_datadir}/guile/site/2.2/rx
install -p -m 644 irregex-guile.scm $RPM_BUILD_ROOT%{_datadir}/guile/site/2.2/rx/irregex.scm
install -p -m 644 irregex-utils.scm $RPM_BUILD_ROOT%{_datadir}/guile/site/2.2/rx
mkdir -p $RPM_BUILD_ROOT%{_datadir}/guile/site/2.2/rx/source
install -p -m 644 irregex.scm $RPM_BUILD_ROOT%{_datadir}/guile/site/2.2/rx/source


%files
%doc README irregex.html
%{_libdir}/guile/2.2/site-ccache/rx
%{_datadir}/guile/site/2.2/rx
